<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <section name="type" type="System.Configuration.DictionarySectionHandler"/>
    <section name="rules" type="System.Configuration.DictionarySectionHandler"/>
    <section name="ip_block" type="System.Configuration.DictionarySectionHandler"/>
    <section name="IP192.168.1" type="System.Configuration.DictionarySectionHandler"/>
    <section name="IP192.168.2" type="System.Configuration.DictionarySectionHandler"/>
    <section name="IP10.30.54" type="System.Configuration.DictionarySectionHandler"/>
    <section name="rule_S9" type="System.Configuration.DictionarySectionHandler"/>
    <section name="rule_L3_P" type="System.Configuration.DictionarySectionHandler"/>
    <section name="rule_D3" type="System.Configuration.DictionarySectionHandler"/>
    <section name="S3" type="System.Configuration.DictionarySectionHandler"/>
    <section name="S4" type="System.Configuration.DictionarySectionHandler"/>
    <section name="S4_P" type="System.Configuration.DictionarySectionHandler"/>
    <section name="S5" type="System.Configuration.DictionarySectionHandler"/>
    <section name="S5_P" type="System.Configuration.DictionarySectionHandler"/>
    <section name="S7" type="System.Configuration.DictionarySectionHandler"/>
    <section name="S9" type="System.Configuration.DictionarySectionHandler"/>
    <section name="T9" type="System.Configuration.DictionarySectionHandler"/>
    <section name="T9_P" type="System.Configuration.DictionarySectionHandler"/>
    <section name="L3" type="System.Configuration.DictionarySectionHandler"/>
    <section name="L3_P" type="System.Configuration.DictionarySectionHandler"/>
    <section name="D3" type="System.Configuration.DictionarySectionHandler"/>
    <section name="common_web" type="System.Configuration.DictionarySectionHandler"/>
    <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net"/>
  <!-- For more information on Entity Framework configuration, visit http://go.microsoft.com/fwlink/?LinkID=237468 -->
  <section name="entityFramework"
      type="System.Data.Entity.Internal.ConfigFile.EntityFrameworkSection, EntityFramework, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089"
      requirePermission="false"/>
  </configSections>
  <rules>
    <add key="S9" value="12850"/>
    <add key="L3_P" value="485"/>
  </rules>
  <rule_S9>
    <add key="name" value="Antminer S9"/>
    <add key="nominal" vaule="12850"/>
    <add key="fan_num" value="3"/>
    <add key="chain_num" value="3"/>
  </rule_S9>
  <rule_L3_P>
    <add key="name" value="Antminer L3+"/>
    <add key="nominal" vaule="485"/>
    <add key="fan_num" value="3"/>
    <add key="chain_num" value="3"/>
  </rule_L3_P>
  <rule_D3>
    <add key="name" value="Antminer D3"/>
    <add key="nominal" vaule="18700"/>
    <add key="fan_num" value="3"/>
    <add key="chain_num" value="3"/>
  </rule_D3>
  <type>
    <add key="S3" value="S3"/>
    <add key="S4" value="Antminer S4"/>
    <add key="S4_P" value="Antminer S4+"/>
    <add key="S5" value="Antminer S5"/>
    <add key="S5_P" value="Antminer S5+"/>
    <add key="S7" value="Antminer S7"/>
    <add key="S9" value="Antminer S9"/>
    <add key="T9" value="Antminer T9"/>
    <add key="L3" value="Antminer L3"/>
    <add key="L3_P" value="Antminer L3+"/>
    <add key="T9_P" value="Antminer T9+"/>
    <add key="D3" value="Antminer D3"/>
  </type>
  <ip_block>
    <add key="192.168.1" value="IP192.168.1"/>
    <add key="192.168.2" value="IP192.168.2"/>
    <add key="10.30.54" value="IP10.30.54"/>
  </ip_block>
  <IP192.168.1>
    <add key="block" value="192.168.1"/>
    <add key="start" value="1"/>
    <add key="end" value="20"/>
  </IP192.168.1>
  <IP192.168.2>
    <add key="block" value="192.168.2"/>
    <add key="start" value="1"/>
    <add key="end" value="100"/>
  </IP192.168.2>
  <IP10.30.54>
    <add key="block" value="10.30.54"/>
    <add key="start" value="1"/>
    <add key="end" value="20"/>
  </IP10.30.54>
  <common_web>

  </common_web>
  <S3>
    <add key="cgminer_config_file" value="/etc/config/cgminer"/>
    <add key="cgminer_restart_file" value="/etc/init.d/cgminer"/>
    <add key="pool1" value="sed -i -r &quot;s/option pool1url.*/option pool1url '"/>
    <add key="user1" value="sed -i -r &quot;s/option pool1user.*/option pool1user '"/>
    <add key="pw1" value="sed -i -r &quot;s/option pool1pw.*/option pool1pw '"/>
    <add key="pool2" value="sed -i -r &quot;s/option pool2url.*/option pool2url '"/>
    <add key="user2" value="sed -i -r &quot;s/option pool2user.*/option pool2user '"/>
    <add key="pw2" value="sed -i -r &quot;s/option pool2pw.*/option pool2pw '"/>
    <add key="pool3" value="sed -i -r &quot;s/option pool3url.*/option pool3url '"/>
    <add key="user3" value="sed -i -r &quot;s/option pool3user.*/option pool3user '"/>
    <add key="pw3" value="sed -i -r &quot;s/option pool3pw.*/option pool3pw '"/>
    <add key="freq" value="sed -i -r &quot;s/option freq.*/option freq '"/>
    <add key="voltage" value="sed -i -r &quot;s/option voltage.*/option voltage '"/>
    <add key="sed_end" value="'/g&quot;"/>

  </S3>
  <S4>
    <add key="cgminer_config_file" value="/config/cgminer.conf"/>
    <add key="cgminer_restart_file" value="/etc/init.d/cgminer.sh"/>
    <add key="pool1" value="sed -i -r &quot;4,6s/\&quot;url\&quot; : \&quot;.*?\&quot;/\&quot;url\&quot; : \&quot;"/>
    <add key="user1" value="sed -i -r &quot;4,6s/\&quot;user\&quot; : \&quot;.*?\&quot;/\&quot;user\&quot; : \&quot;"/>
    <add key="pw1" value="sed -i -r &quot;4,6s/\&quot;pass\&quot; : \&quot;.*?\&quot;/\&quot;pass\&quot; : \&quot;"/>
    <add key="pool2" value="sed -i -r &quot;9,11s/\&quot;url\&quot; : \&quot;.*?\&quot;/\&quot;url\&quot; : \&quot;"/>
    <add key="user2" value="sed -i -r &quot;9,11s/\&quot;user\&quot; : \&quot;.*?\&quot;/\&quot;user\&quot; : \&quot;"/>
    <add key="pw2" value="sed -i -r &quot;9,11s/\&quot;pass\&quot; : \&quot;.*?\&quot;/\&quot;pass\&quot; : \&quot;"/>
    <add key="pool3" value="sed -i -r &quot;14,16s/\&quot;url\&quot; : \&quot;.*?\&quot;/\&quot;url\&quot; : \&quot;"/>
    <add key="user3" value="sed -i -r &quot;14,16s/\&quot;user\&quot; : \&quot;.*?\&quot;/\&quot;user\&quot; : \&quot;"/>
    <add key="pw3" value="sed -i -r &quot;14,16s/\&quot;pass\&quot; : \&quot;.*?\&quot;/\&quot;pass\&quot; : \&quot;"/>
    <add key="freq" value="sed -i -r &quot;s/\&quot;bitmain-freq\&quot; : \&quot;.*?\&quot;/\&quot;bitmain-freq\&quot; : \&quot;"/>
    <add key="sed_end" value="\&quot;/g&quot;"/>

  </S4>
  <S4_P>
    <add key="cgminer_config_file" value="/config/cgminer.conf"/>
    <add key="cgminer_restart_file" value="/etc/init.d/cgminer.sh"/>
    <add key="pool1" value="sed -i -r &quot;4,6s/\&quot;url\&quot; : \&quot;.*?\&quot;/\&quot;url\&quot; : \&quot;"/>
    <add key="user1" value="sed -i -r &quot;4,6s/\&quot;user\&quot; : \&quot;.*?\&quot;/\&quot;user\&quot; : \&quot;"/>
    <add key="pw1" value="sed -i -r &quot;4,6s/\&quot;pass\&quot; : \&quot;.*?\&quot;/\&quot;pass\&quot; : \&quot;"/>
    <add key="pool2" value="sed -i -r &quot;9,11s/\&quot;url\&quot; : \&quot;.*?\&quot;/\&quot;url\&quot; : \&quot;"/>
    <add key="user2" value="sed -i -r &quot;9,11s/\&quot;user\&quot; : \&quot;.*?\&quot;/\&quot;user\&quot; : \&quot;"/>
    <add key="pw2" value="sed -i -r &quot;9,11s/\&quot;pass\&quot; : \&quot;.*?\&quot;/\&quot;pass\&quot; : \&quot;"/>
    <add key="pool3" value="sed -i -r &quot;14,16s/\&quot;url\&quot; : \&quot;.*?\&quot;/\&quot;url\&quot; : \&quot;"/>
    <add key="user3" value="sed -i -r &quot;14,16s/\&quot;user\&quot; : \&quot;.*?\&quot;/\&quot;user\&quot; : \&quot;"/>
    <add key="pw3" value="sed -i -r &quot;14,16s/\&quot;pass\&quot; : \&quot;.*?\&quot;/\&quot;pass\&quot; : \&quot;"/>
    <add key="freq" value="sed -i -r &quot;s/\&quot;bitmain-freq\&quot; : \&quot;.*?\&quot;/\&quot;bitmain-freq\&quot; : \&quot;"/>
    <add key="sed_end" value="\&quot;/g&quot;"/>

  </S4_P>
  <S5>
    <add key="cgminer_config_file" value="/config/cgminer.conf"/>
    <add key="cgminer_restart_file" value="/etc/init.d/cgminer.sh"/>
    <add key="pool1" value="sed -i -r &quot;4,6s/\&quot;url\&quot; : \&quot;.*?\&quot;/\&quot;url\&quot; : \&quot;"/>
    <add key="user1" value="sed -i -r &quot;4,6s/\&quot;user\&quot; : \&quot;.*?\&quot;/\&quot;user\&quot; : \&quot;"/>
    <add key="pw1" value="sed -i -r &quot;4,6s/\&quot;pass\&quot; : \&quot;.*?\&quot;/\&quot;pass\&quot; : \&quot;"/>
    <add key="pool2" value="sed -i -r &quot;9,11s/\&quot;url\&quot; : \&quot;.*?\&quot;/\&quot;url\&quot; : \&quot;"/>
    <add key="user2" value="sed -i -r &quot;9,11s/\&quot;user\&quot; : \&quot;.*?\&quot;/\&quot;user\&quot; : \&quot;"/>
    <add key="pw2" value="sed -i -r &quot;9,11s/\&quot;pass\&quot; : \&quot;.*?\&quot;/\&quot;pass\&quot; : \&quot;"/>
    <add key="pool3" value="sed -i -r &quot;14,16s/\&quot;url\&quot; : \&quot;.*?\&quot;/\&quot;url\&quot; : \&quot;"/>
    <add key="user3" value="sed -i -r &quot;14,16s/\&quot;user\&quot; : \&quot;.*?\&quot;/\&quot;user\&quot; : \&quot;"/>
    <add key="pw3" value="sed -i -r &quot;14,16s/\&quot;pass\&quot; : \&quot;.*?\&quot;/\&quot;pass\&quot; : \&quot;"/>
    <add key="freq" value="sed -i -r &quot;s/\&quot;bitmain-freq\&quot; : \&quot;.*?\&quot;/\&quot;bitmain-freq\&quot; : \&quot;"/>
    <add key="sed_end" value="\&quot;/g&quot;"/>

  </S5>
  <S5_P>
    <add key="cgminer_config_file" value="/config/cgminer.conf"/>
    <add key="cgminer_restart_file" value="/etc/init.d/cgminer.sh"/>
    <add key="pool1" value="sed -i -r &quot;4,6s/\&quot;url\&quot; : \&quot;.*?\&quot;/\&quot;url\&quot; : \&quot;"/>
    <add key="user1" value="sed -i -r &quot;4,6s/\&quot;user\&quot; : \&quot;.*?\&quot;/\&quot;user\&quot; : \&quot;"/>
    <add key="pw1" value="sed -i -r &quot;4,6s/\&quot;pass\&quot; : \&quot;.*?\&quot;/\&quot;pass\&quot; : \&quot;"/>
    <add key="pool2" value="sed -i -r &quot;9,11s/\&quot;url\&quot; : \&quot;.*?\&quot;/\&quot;url\&quot; : \&quot;"/>
    <add key="user2" value="sed -i -r &quot;9,11s/\&quot;user\&quot; : \&quot;.*?\&quot;/\&quot;user\&quot; : \&quot;"/>
    <add key="pw2" value="sed -i -r &quot;9,11s/\&quot;pass\&quot; : \&quot;.*?\&quot;/\&quot;pass\&quot; : \&quot;"/>
    <add key="pool3" value="sed -i -r &quot;14,16s/\&quot;url\&quot; : \&quot;.*?\&quot;/\&quot;url\&quot; : \&quot;"/>
    <add key="user3" value="sed -i -r &quot;14,16s/\&quot;user\&quot; : \&quot;.*?\&quot;/\&quot;user\&quot; : \&quot;"/>
    <add key="pw3" value="sed -i -r &quot;14,16s/\&quot;pass\&quot; : \&quot;.*?\&quot;/\&quot;pass\&quot; : \&quot;"/>
    <add key="freq" value="sed -i -r &quot;s/\&quot;bitmain-freq\&quot; : \&quot;.*?\&quot;/\&quot;bitmain-freq\&quot; : \&quot;"/>
    <add key="sed_end" value="\&quot;/g&quot;"/>

  </S5_P>
  <S7>
    <add key="cgminer_config_file" value="/config/cgminer.conf"/>
    <add key="cgminer_restart_file" value="/etc/init.d/cgminer.sh"/>
    <add key="pool1" value="sed -i -r &quot;4,6s/\&quot;url\&quot; : \&quot;.*?\&quot;/\&quot;url\&quot; : \&quot;"/>
    <add key="user1" value="sed -i -r &quot;4,6s/\&quot;user\&quot; : \&quot;.*?\&quot;/\&quot;user\&quot; : \&quot;"/>
    <add key="pw1" value="sed -i -r &quot;4,6s/\&quot;pass\&quot; : \&quot;.*?\&quot;/\&quot;pass\&quot; : \&quot;"/>
    <add key="pool2" value="sed -i -r &quot;9,11s/\&quot;url\&quot; : \&quot;.*?\&quot;/\&quot;url\&quot; : \&quot;"/>
    <add key="user2" value="sed -i -r &quot;9,11s/\&quot;user\&quot; : \&quot;.*?\&quot;/\&quot;user\&quot; : \&quot;"/>
    <add key="pw2" value="sed -i -r &quot;9,11s/\&quot;pass\&quot; : \&quot;.*?\&quot;/\&quot;pass\&quot; : \&quot;"/>
    <add key="pool3" value="sed -i -r &quot;14,16s/\&quot;url\&quot; : \&quot;.*?\&quot;/\&quot;url\&quot; : \&quot;"/>
    <add key="user3" value="sed -i -r &quot;14,16s/\&quot;user\&quot; : \&quot;.*?\&quot;/\&quot;user\&quot; : \&quot;"/>
    <add key="pw3" value="sed -i -r &quot;14,16s/\&quot;pass\&quot; : \&quot;.*?\&quot;/\&quot;pass\&quot; : \&quot;"/>
    <add key="freq" value="sed -i -r &quot;s/\&quot;bitmain-freq\&quot; : \&quot;.*?\&quot;/\&quot;bitmain-freq\&quot; : \&quot;"/>
    <add key="sed_end" value="\&quot;/g&quot;"/>

  </S7>
  <S9>
    <add key="cgminer_config_file" value="/config/bmminer.conf"/>
    <add key="cgminer_restart_file" value="/etc/init.d/bmminer.sh"/>
    <add key="pool1" value="sed -i -r &quot;4,6s/\&quot;url\&quot; : \&quot;.*?\&quot;/\&quot;url\&quot; : \&quot;"/>
    <add key="user1" value="sed -i -r &quot;4,6s/\&quot;user\&quot; : \&quot;.*?\&quot;/\&quot;user\&quot; : \&quot;"/>
    <add key="pw1" value="sed -i -r &quot;4,6s/\&quot;pass\&quot; : \&quot;.*?\&quot;/\&quot;pass\&quot; : \&quot;"/>
    <add key="pool2" value="sed -i -r &quot;9,11s/\&quot;url\&quot; : \&quot;.*?\&quot;/\&quot;url\&quot; : \&quot;"/>
    <add key="user2" value="sed -i -r &quot;9,11s/\&quot;user\&quot; : \&quot;.*?\&quot;/\&quot;user\&quot; : \&quot;"/>
    <add key="pw2" value="sed -i -r &quot;9,11s/\&quot;pass\&quot; : \&quot;.*?\&quot;/\&quot;pass\&quot; : \&quot;"/>
    <add key="pool3" value="sed -i -r &quot;14,16s/\&quot;url\&quot; : \&quot;.*?\&quot;/\&quot;url\&quot; : \&quot;"/>
    <add key="user3" value="sed -i -r &quot;14,16s/\&quot;user\&quot; : \&quot;.*?\&quot;/\&quot;user\&quot; : \&quot;"/>
    <add key="pw3" value="sed -i -r &quot;14,16s/\&quot;pass\&quot; : \&quot;.*?\&quot;/\&quot;pass\&quot; : \&quot;"/>
    <add key="freq" value="sed -i -r &quot;s/\&quot;bitmain-freq\&quot; : \&quot;.*?\&quot;/\&quot;bitmain-freq\&quot; : \&quot;"/>
    <add key="sed_end" value="\&quot;/g&quot;"/>

  </S9>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5"/>
  </startup>
  <appSettings>
    <add key="log" value="false"/>
    <add key="ClientSettingsProvider.ServiceUri" value=""/>
  </appSettings>
  <log4net>
    <!--定义输出到文件中-->
    <appender name="RollingLogFileAppender" type="log4net.Appender.RollingFileAppender">
      <!--定义文件存放位置-->
      <file value="log\\"/>
      <appendToFile value="true"/>
      <rollingStyle value="Date"/>
      <datePattern value="yyyyMM\\yyyyMMdd'.txt'"/>
      <staticLogFileName value="false"/>
      <param name="MaxSizeRollBackups" value="100"/>
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="[%date | [%thread] | %-5level ]：%message%newline "/>
      </layout>
    </appender>
    <root>
      <level value="ERROR"/>
      <level value="DEBUG"/>
      <!--文件形式记录日志-->
      <appender-ref ref="RollingLogFileAppender"/>
    </root>
  </log4net>
  <entityFramework>
    <defaultConnectionFactory type="System.Data.Entity.Infrastructure.LocalDbConnectionFactory, EntityFramework">
      <parameters>
        <parameter value="v13.0"/>
      </parameters>
    </defaultConnectionFactory>
    <providers>
      <provider invariantName="System.Data.SqlClient" type="System.Data.Entity.SqlServer.SqlProviderServices, EntityFramework.SqlServer"/>
      <provider invariantName="System.Data.SQLite.EF6" type="System.Data.SQLite.EF6.SQLiteProviderServices, System.Data.SQLite.EF6"/>
    </providers>
  </entityFramework>
  
  <system.web>
    <membership defaultProvider="ClientAuthenticationMembershipProvider">
      <providers>
        <add name="ClientAuthenticationMembershipProvider"
          type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
          serviceUri=""/>
      </providers>
    </membership>
    <roleManager defaultProvider="ClientRoleProvider" enabled="true">
      <providers>
        <add name="ClientRoleProvider"
          type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
          serviceUri="" cacheTimeout="86400"/>
      </providers>
    </roleManager>
  </system.web>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System.Net.Http" publicKeyToken="b03f5f7f11d50a3a" culture="neutral"/>
        <bindingRedirect oldVersion="0.0.0.0-2.2.29.0" newVersion="2.2.29.0"/>
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
  <system.net>
    <settings>
      <httpWebRequest useUnsafeHeaderParsing="true"/>
      <servicePointManager expect100Continue="false"/>
    </settings>
  </system.net>
</configuration>
